diff -ur a/hald/freebsd/hal-file-monitor.c b/hald/freebsd/hal-file-monitor.c
--- a/hald/freebsd/hal-file-monitor.c	2012-08-23 13:46:46.422828999 -0500
+++ b/hald/freebsd/hal-file-monitor.c	2012-08-23 13:46:55.772501153 -0500
@@ -35,8 +35,8 @@
 #include <sys/stat.h>
 
 #include <glib.h>
-#include <glib/gi18n.h>
-#include <glib/gstdio.h>
+#include <glib.h>
+#include <glib.h>
 #include <glib-object.h>
 
 #include "../hal-file-monitor.h"
diff -ur a/hald/hald_dbus.c b/hald/hald_dbus.c
--- a/hald/hald_dbus.c	2012-08-23 13:46:46.420828009 -0500
+++ b/hald/hald_dbus.c	2012-08-23 13:46:55.729479655 -0500
@@ -36,7 +36,7 @@
 #include <stdint.h>
 #include <sys/time.h>
 #include <glib.h>
-#include <glib/gprintf.h>
+#include <glib.h>
 #include <dbus/dbus.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/addons/addon-acpi-buttons-toshiba.c b/hald/linux/addons/addon-acpi-buttons-toshiba.c
--- a/hald/linux/addons/addon-acpi-buttons-toshiba.c	2012-08-23 13:46:46.423829496 -0500
+++ b/hald/linux/addons/addon-acpi-buttons-toshiba.c	2012-08-23 13:46:55.789509653 -0500
@@ -40,7 +40,7 @@
 #include <string.h>
 #include <unistd.h>
 
-#include <glib/gmain.h>
+#include <glib.h>
 
 #include "libhal/libhal.h"
 #include "../../logger.h"
diff -ur a/hald/linux/addons/addon-cpufreq.c b/hald/linux/addons/addon-cpufreq.c
--- a/hald/linux/addons/addon-cpufreq.c	2012-08-23 13:46:46.424829996 -0500
+++ b/hald/linux/addons/addon-cpufreq.c	2012-08-23 13:46:55.793511652 -0500
@@ -32,7 +32,7 @@
 #include <unistd.h>
 #include <signal.h>
 #include <getopt.h>
-#include <glib/gprintf.h>
+#include <glib.h>
 
 #include "addon-cpufreq.h"
 #include "addon-cpufreq-userspace.h"
diff -ur a/hald/linux/addons/addon-dell-backlight.cpp b/hald/linux/addons/addon-dell-backlight.cpp
--- a/hald/linux/addons/addon-dell-backlight.cpp	2012-08-23 13:46:46.423829496 -0500
+++ b/hald/linux/addons/addon-dell-backlight.cpp	2012-08-23 13:46:50.422827848 -0500
@@ -29,7 +29,7 @@
 
 #include <string.h>
 
-#include <glib/gmain.h>
+#include <glib.h>
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/addons/addon-generic-backlight.c b/hald/linux/addons/addon-generic-backlight.c
--- a/hald/linux/addons/addon-generic-backlight.c	2012-08-23 13:46:46.423829496 -0500
+++ b/hald/linux/addons/addon-generic-backlight.c	2012-08-23 13:46:55.783506653 -0500
@@ -35,7 +35,7 @@
 #include <sys/stat.h>
 #include <unistd.h> 
 
-#include <glib/gmain.h>
+#include <glib.h>
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/addons/addon-imac-backlight.c b/hald/linux/addons/addon-imac-backlight.c
--- a/hald/linux/addons/addon-imac-backlight.c	2012-08-23 13:46:46.423829496 -0500
+++ b/hald/linux/addons/addon-imac-backlight.c	2012-08-23 13:46:55.780505154 -0500
@@ -29,7 +29,7 @@
 #include <stdlib.h>
 #include <sys/io.h>
 
-#include <glib/gmain.h>
+#include <glib.h>
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/addons/addon-input.c b/hald/linux/addons/addon-input.c
--- a/hald/linux/addons/addon-input.c	2012-08-23 13:46:46.424829996 -0500
+++ b/hald/linux/addons/addon-input.c	2012-08-23 13:46:55.790510153 -0500
@@ -41,8 +41,8 @@
 #else
   #include <linux/input.h>
 #endif
-#include <glib/gmain.h>
-#include <glib/gprintf.h>
+#include <glib.h>
+#include <glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
 #include "libhal/libhal.h"
diff -ur a/hald/linux/addons/addon-ipw-killswitch.c b/hald/linux/addons/addon-ipw-killswitch.c
--- a/hald/linux/addons/addon-ipw-killswitch.c	2012-08-23 13:46:46.423829496 -0500
+++ b/hald/linux/addons/addon-ipw-killswitch.c	2012-08-23 13:46:55.785507651 -0500
@@ -36,8 +36,8 @@
 #include <unistd.h> 
 
 #include <glib.h>
-#include <glib/gmain.h>
-#include <glib/gstdio.h>
+#include <glib.h>
+#include <glib.h>
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/addons/addon-leds.c b/hald/linux/addons/addon-leds.c
--- a/hald/linux/addons/addon-leds.c	2012-08-23 13:46:46.423829496 -0500
+++ b/hald/linux/addons/addon-leds.c	2012-08-23 13:46:55.787508652 -0500
@@ -36,8 +36,8 @@
 #include <unistd.h> 
 
 #include <glib.h>
-#include <glib/gmain.h>
-#include <glib/gstdio.h>
+#include <glib.h>
+#include <glib.h>
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/addons/addon-macbookpro-backlight.c b/hald/linux/addons/addon-macbookpro-backlight.c
--- a/hald/linux/addons/addon-macbookpro-backlight.c	2012-08-23 13:46:46.423829496 -0500
+++ b/hald/linux/addons/addon-macbookpro-backlight.c	2012-08-23 13:46:55.781505654 -0500
@@ -39,7 +39,7 @@
 #include <pci/pci.h>
 #include <unistd.h> 
 
-#include <glib/gmain.h>
+#include <glib.h>
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/addons/addon-omap-backlight.c b/hald/linux/addons/addon-omap-backlight.c
--- a/hald/linux/addons/addon-omap-backlight.c	2012-08-23 13:46:46.424829996 -0500
+++ b/hald/linux/addons/addon-omap-backlight.c	2012-08-23 13:46:55.793511652 -0500
@@ -41,7 +41,7 @@
 #include <fcntl.h>
 #include <unistd.h> 
 
-#include <glib/gmain.h>
+#include <glib.h>
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/addons/addon-rfkill-killswitch.c b/hald/linux/addons/addon-rfkill-killswitch.c
--- a/hald/linux/addons/addon-rfkill-killswitch.c	2012-08-23 13:46:46.423829496 -0500
+++ b/hald/linux/addons/addon-rfkill-killswitch.c	2012-08-23 13:46:55.788509153 -0500
@@ -36,8 +36,8 @@
 #include <unistd.h> 
 
 #include <glib.h>
-#include <glib/gmain.h>
-#include <glib/gstdio.h>
+#include <glib.h>
+#include <glib.h>
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/addons/addon-storage.c b/hald/linux/addons/addon-storage.c
--- a/hald/linux/addons/addon-storage.c	2012-08-23 13:46:46.423829496 -0500
+++ b/hald/linux/addons/addon-storage.c	2012-08-23 13:46:55.783506653 -0500
@@ -39,7 +39,7 @@
 #include <string.h>
 #include <sys/ioctl.h>
 #include <unistd.h>
-#include <glib/gmain.h>
+#include <glib.h>
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/addons/addon-usb-csr.c b/hald/linux/addons/addon-usb-csr.c
--- a/hald/linux/addons/addon-usb-csr.c	2012-08-23 13:46:46.424829996 -0500
+++ b/hald/linux/addons/addon-usb-csr.c	2012-08-23 13:46:55.791510652 -0500
@@ -29,7 +29,7 @@
 #include <string.h>
 #include <usb.h>
 
-#include <glib/gmain.h>
+#include <glib.h>
 #include <dbus/dbus-glib.h>
 #include <dbus/dbus-glib-lowlevel.h>
 
diff -ur a/hald/linux/hal-file-monitor.c b/hald/linux/hal-file-monitor.c
--- a/hald/linux/hal-file-monitor.c	2012-08-23 13:46:46.424829996 -0500
+++ b/hald/linux/hal-file-monitor.c	2012-08-23 13:46:55.807518653 -0500
@@ -36,8 +36,8 @@
 #endif
 
 #include <glib.h>
-#include <glib/gi18n.h>
-#include <glib/gstdio.h>
+#include <glib.h>
+#include <glib.h>
 #include <glib-object.h>
 
 #include "../hal-file-monitor.h"
diff -ur a/tools/hal-storage-cleanup-all-mountpoints.c b/tools/hal-storage-cleanup-all-mountpoints.c
--- a/tools/hal-storage-cleanup-all-mountpoints.c	2012-08-23 13:46:46.432834000 -0500
+++ b/tools/hal-storage-cleanup-all-mountpoints.c	2012-08-23 13:46:55.849539650 -0500
@@ -31,7 +31,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <glib.h>
-#include <glib/gstdio.h>
+#include <glib.h>
 
 #include "hal-storage-shared.h"
 
diff -ur a/tools/hal-storage-cleanup-mountpoint.c b/tools/hal-storage-cleanup-mountpoint.c
--- a/tools/hal-storage-cleanup-mountpoint.c	2012-08-23 13:46:46.432834000 -0500
+++ b/tools/hal-storage-cleanup-mountpoint.c	2012-08-23 13:46:55.846538150 -0500
@@ -31,7 +31,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <glib.h>
-#include <glib/gstdio.h>
+#include <glib.h>
 
 #include "hal-storage-shared.h"
 
diff -ur a/tools/hal-storage-closetray.c b/tools/hal-storage-closetray.c
--- a/tools/hal-storage-closetray.c	2012-08-23 13:46:46.432834000 -0500
+++ b/tools/hal-storage-closetray.c	2012-08-23 13:46:55.847538650 -0500
@@ -30,7 +30,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <glib.h>
-#include <glib/gstdio.h>
+#include <glib.h>
 #include <sys/types.h>
 #include <unistd.h>
 
diff -ur a/tools/hal-storage-eject.c b/tools/hal-storage-eject.c
--- a/tools/hal-storage-eject.c	2012-08-23 13:46:46.432834000 -0500
+++ b/tools/hal-storage-eject.c	2012-08-23 13:46:55.848539150 -0500
@@ -29,7 +29,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <glib.h>
-#include <glib/gstdio.h>
+#include <glib.h>
 #include <sys/types.h>
 #include <unistd.h>
 
diff -ur a/tools/hal-storage-mount.c b/tools/hal-storage-mount.c
--- a/tools/hal-storage-mount.c	2012-08-23 13:46:46.431833500 -0500
+++ b/tools/hal-storage-mount.c	2012-08-23 13:46:55.841535650 -0500
@@ -30,7 +30,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <glib.h>
-#include <glib/gstdio.h>
+#include <glib.h>
 #ifdef __FreeBSD__
 #include <fstab.h>
 #include <sys/param.h>
diff -ur a/tools/hal-storage-shared.c b/tools/hal-storage-shared.c
--- a/tools/hal-storage-shared.c	2012-08-23 13:46:46.432834000 -0500
+++ b/tools/hal-storage-shared.c	2012-08-23 13:46:55.846538150 -0500
@@ -30,7 +30,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <glib.h>
-#include <glib/gstdio.h>
+#include <glib.h>
 #ifdef __FreeBSD__
 #include <fstab.h>
 #include <sys/param.h>
diff -ur a/tools/hal-storage-unmount.c b/tools/hal-storage-unmount.c
--- a/tools/hal-storage-unmount.c	2012-08-23 13:46:46.431833500 -0500
+++ b/tools/hal-storage-unmount.c	2012-08-23 13:46:55.842536151 -0500
@@ -30,7 +30,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <glib.h>
-#include <glib/gstdio.h>
+#include <glib.h>
 #ifdef __FreeBSD__
 #include <fstab.h>
 #include <sys/param.h>
